@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

html {
    scroll-behavior: smooth; /* Enable smooth scrolling */
}

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}

body {
    width: 100%;
    /* background-image: url('/img/bg5menu.png'); */
    background: url('/img/bg5menu.png') no-repeat;
    background-size: cover;
    background-position: center;
    backdrop-filter: blur(3px);
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    margin: 0;
}

.nav-bar{
    display: flex;
    justify-content: center;
    margin: 10px 20px 0 20px;
    border-radius: 20px 20px 0 0;
    font-weight: 600;
    padding: 5px;
}

.nav-bar a{
    background: url('/img/bg.jpg') no-repeat;
    background-position: center;
    position: relative;
    color: #eee;
    border-radius: 10px;
    border: 2px solid #eee;
    margin: 10px 20px 10px 20px;
    padding: 10px 20px;
    text-decoration: none;
    transition: .6s ease-in-out;
}

.nav-bar a:hover{
    color: #000;
    background: transparent;
    border: 2px solid #000;
}

.book-container {
    width: 700px;
    height: 850px;
    background: transparent;
    backdrop-filter: blur(2px);
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
    position: relative;
    text-align: center;
    padding: 20px;
    overflow: hidden;
}

.page {
    display: none;
    font-size: 20px;
    padding: 10px;
}

.active {
    display: block;
    animation: fadeIn 0.5s ease-in-out;
}

@keyframes fadeIn {
    from { opacity: 0; transform: scale(0.9); }
    to { opacity: 1; transform: scale(1); }
}

img {
    width: 80%;
    height: auto;
    border-radius: 10px;
}

.controls {
    display: flex;
    justify-content: space-between;
    margin-top: 20px;
}

button {
    background: rgb(184, 169, 143);
    position: relative;
    color: rgb(102, 91, 69);
    border-radius: 10px;
    border: 2px solid rgb(102, 91, 69);
    padding: 10px 15px;
    font-size: 16px;
    cursor: pointer;
    transition: .6s ease-in-out;
}

button:hover{
    background: white;
}

button:disabled {
    background: #ccc;
    cursor: not-allowed;
}

@media screen and (max-width: 576px) {
    .book-container{
        width: 100%;
        height: auto;
    }
    button{
        padding: 5px 10px;
        font-size: 12px;
    }
}